Ask Your Question
1

Spawning Husky robot with ur5

asked 2019-03-14 19:26:26 -0500

sisko gravatar image

I am trying to get a simulation of the husky robot with a ur5 manipulator mounted on it. To that end, I cloned the Husky package from https://github.com/husky/husky.git and then tried the following command:

roslaunch husky_gazebo husky_playpen.launch ur5_enabled:=true

However, I get the husky but no ur5.

I followed this ( http://wiki.ros.org/husky_ur5_moveit_... ) tutorial. Initially I did execute the apt-get install commands at the beginning of step 2, for kinetic instead of indigo, but no ur5 on the husky. I uninstalled the packages and cloned the husky repo as I mentioned earlier but still no ur5.

I have been at this all day and embarrassingly gotten nowhere. I would appreciate some help.

edit retag flag offensive close merge delete

Comments

Are you sure, you did this step?

Make sure you have the husky_simulator packages and husky_ur5_moveit_config packages installed.
pmuthu2s gravatar imagepmuthu2s ( 2019-03-15 08:43:21 -0500 )edit

Searches for both those packages end up at https://github.com/husky/husky . So I have the husky package installed which contains the husky_simulator package although I have not found the moveit package within husky - I haven't found an independent download source for it.

sisko gravatar imagesisko ( 2019-03-15 14:48:33 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2019-08-02 08:45:14 -0500

I was facing this problem too as I'm using kinetic. You can use this package and follow this tutorial to set up UR5 on Husky: husky_manipulation

You will need the package ur_description too, so, you can install with sudo apt install ros-kinetic-ur-description, or clone the main package: universal_robot

edit flag offensive delete link more
0

answered 2019-03-15 15:02:39 -0500

pmuthu2s gravatar image

Hey,

As you could have noted in the tutorial, this setup is for indigo,

So, in this link you can find the husky_ur5_moveit config which is basically the indigo-devel branch. I guess this should resolve your problem.

edit flag offensive delete link more

Comments

Yes, when I tried installing via apt-get install, I did replace indigo with kinetic. I don't think I can use your solution because I don't think there is backward compatibility between kinetic and indego

sisko gravatar imagesisko ( 2019-03-15 18:57:27 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2019-03-14 19:26:26 -0500

Seen: 78 times

Last updated: Aug 02